------------------------------------------------------------------------------
--                  GtkAda - Ada95 binding for Gtk+/Gnome                   --
--                                                                          --
--                     Copyright (C) 2010-2015, AdaCore                     --
--                                                                          --
-- This library is free software;  you can redistribute it and/or modify it --
-- under terms of the  GNU General Public License  as published by the Free --
-- Software  Foundation;  either version 3,  or (at your  option) any later --
-- version. This library is distributed in the hope that it will be useful, --
-- but WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHAN- --
-- TABILITY or FITNESS FOR A PARTICULAR PURPOSE.                            --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
-- You should have received a copy of the GNU General Public License and    --
-- a copy of the GCC Runtime Library Exception along with this program;     --
-- see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see    --
-- <http://www.gnu.org/licenses/>.                                          --
--                                                                          --
------------------------------------------------------------------------------

with System;      use System;
with Glib.Object; use Glib.Object;

package body Pango.Cairo is

   -----------------
   -- Show_Layout --
   -----------------

   procedure Show_Layout (Cr : Cairo_Context; Layout : Pango_Layout) is
      procedure Internal (Cr : Cairo_Context; Layout : System.Address);
      pragma Import (C, Internal, "pango_cairo_show_layout");
   begin
      Internal (Cr, Get_Object (Layout));
   end Show_Layout;

end Pango.Cairo;
